Bug 831565 - (CVE-2012-2696) CVE-2012-2696 rhev: backend allows unprivileged queries
CVE-2012-2696 rhev: backend allows unprivileged queries
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121204,reported=2...
: Security
Depends On: 799704
Blocks: 850878
  Show dependency treegraph
 
Reported: 2012-06-13 06:27 EDT by Petr Matousek
Modified: 2018-07-18 10:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1506 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.1 2012-12-04 18:58:40 EST

  None (edit)
Description Petr Matousek 2012-06-13 06:27:55 EDT
A flaw has been found in the backend in the way queries were not checking privileges of the requestor. If the requestor was authenticated, he could issue queries even on data that should be accessible to admins only.
Comment 1 Petr Matousek 2012-12-04 03:28:16 EST
Statement:

This issue does affect Red Hat Enterprise Virtualization 2 and 3.

Red Hat Enterprise Virtualization 2 is now in Production 2 phase of the support and maintenance life cycle. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Virtualization Life Cycle: https://access.redhat.com/support/policy/updates/rhev/.
Comment 2 errata-xmlrpc 2012-12-04 14:16:11 EST
This issue has been addressed in following products:

  RHEV Manager version 3.x

Via RHSA-2012:1506 https://rhn.redhat.com/errata/RHSA-2012-1506.html

Note You need to log in before you can comment on or make changes to this bug.